<template>
  <DataTable :value="mrs" :rows="6" paginator>
    <Column field="title" header="Title">
      <template #body="slotProps">
        <a
          class="text-overflow-ellipsis white-space-nowrap max-w-full"
          target="_blank"
          :href="slotProps.data.web_url"
          >{{ slotProps.data.title }}</a
        >
      </template>
    </Column>
  </DataTable>
</template>

<script setup lang="ts">
import DataTable from "primevue/datatable";
import Column from "primevue/column";

const props = defineProps({
  mrs: Array,
});
</script>
